import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceAllocatedReturnQuantityService = createAsyncThunk(
  "PROVINCE_ALLOCATED_RETURN_QUANTITY_SERVICE",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.delete(
        "province_kill_request/0/?return_allocation_quantity",
        {
          params: {
            province_kill_request_key: d.province_kill_request_key,
          },
        }
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
